extends RigidBody

export var force = 1
onready var cpt = get_tree().get_root().find_node("Compteur", true, false)
var cube_sound

func _ready():
	cpt.text = "0"
	cube_sound = load("res://son_cube.wav")

func get_axis(axis):
	# Si on effectue un mouvement horizontal
	if axis == "horizontal":
		# Flèche de gauche
		if Input.is_action_pressed("ui_left"):
			return -1
		# Droite
		elif Input.is_action_pressed("ui_right"):
			return 1
	# Si vertical
	elif axis == "vertical":
		# Haut
		if Input.is_action_pressed("ui_up"):
			return -1
		# Bas
		elif Input.is_action_pressed("ui_down"):
			return 1
	return 0

# Tourne en boucle
func _physics_process(delta):
	# Mouvement en X
	var xspeed = get_axis("horizontal")
	# Mouvement en Y
	var yspeed = get_axis("vertical")
	# Vecteur 3 de direction
	var dir = Vector3(xspeed, 0, yspeed).normalized()
	# Pour la vitesse de mouvement
	var magnitude = force * delta
	# On applique la force de propulsion dans la direction * la force
	add_impulse(magnitude * dir)

func add_impulse(f):
	if (f[0] or f[1] or f[2]):
		apply_impulse(Vector3.ZERO, f)

func _on_Area_area_entered(area):
	if area.name == "Fin":
		print("Fin du niveau")
	elif area.name == "Vide":
		print("OOps")
		get_tree().reload_current_scene()

func _on_Area_body_entered(body):
	$AudioStreamPlayer.stream = cube_sound
	$AudioStreamPlayer.play()
	body.queue_free()
	Global.increase_count()
	cpt.text = str(Global.count)
	#print("New count : ")
	#Global.print_count()

